> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Account IDP Group

> Remove a registered IDP group from this enterprise.

## Permissions

Requires a service user with the `ManageAccountMembership` permission at the enterprise level.


## OpenAPI

````yaml /v3-openapi.yaml DELETE /v3/enterprise/idp-groups/{idp_group_name}
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/idp-groups/{idp_group_name}:
    delete:
      tags:
        - idp_groups
      summary: Delete Account IDP Group
      description: Remove a registered IDP group from this enterprise.
      operationId: >-
        handle_delete_account_idp_group_v3_enterprise_idp_groups__idp_group_name__delete
      parameters:
        - in: path
          name: idp_group_name
          required: true
          schema:
            title: Idp Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdpGroupResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    IdpGroupResponse:
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
      required:
        - idp_group_name
      title: IdpGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````